#### 4.22.3.6 containsInSupport

`Syntax:`
  `containsInSupport(` cone c1, cone c2 `)`
  `containsInSupport(` cone c, intvec point `)`
`Type:`
  int
`Purpose:`
  1 iff c1 entirely contains c2 resp. iff c contains the given point, possibly on one of its facets; 0 otherwise
`Example:`

      LIB"gfanlib.so";
      intmat M[2][2]=
      1,0,
      0,1;
      cone c=coneViaPoints(M);
      containsInSupport(c,c);
      ==> 1
      intmat N1[2][2]=
      1,1,
      0,1;
      cone d1=coneViaPoints(N1);
      containsInSupport(c,d1);
      ==> 1
      intmat N2[2][2]=
      1,1,
      1,-1;
      cone d2=coneViaPoints(N2);
      containsInSupport(c,d2);
      ==> 0
      intvec v1=0,1;
      containsInSupport(c,v1);
      ==> 1
      intvec v2=1,-1;
      containsInSupport(c,v2);
      ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.